Bug 98862 - Can publish item even when it is not in the 'Deploy' workflow state
Summary: Can publish item even when it is not in the 'Deploy' workflow state
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Justin Ross
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks: 98546
TreeView+ depends on / blocked
 
Reported: 2003-07-09 16:58 UTC by Daniel Berrange
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-10 20:09:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-07-09 16:58:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
When logged in as an administrator, it is possible to publish an item even when
there is no workflow task of type 'Deploy' active.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. log in as administrator
2. Create a new item
3. Ensure workflow is applied & the 'Authoring' task is active
4. Go to the publishing tab


Actual Results:  It displays the form for publishing an item & lets you submit it.

Expected Results:  It should display a message saying

'This item has not been scheduled for publication'


Additional info:

Comment 1 Justin Ross 2003-07-20 15:36:32 UTC
This is not currently the case.  I think was fixed a while back.


Note You need to log in before you can comment on or make changes to this bug.